# Makefile for dvi2tty and disdvi       23/01/89   M.J.E. Mol
#
prefix = @prefix@
INSTALL_BINDIR	= $(prefix)/bin
INSTALL_LIBDIR	= $(prefix)/lib
INSTALL_MANDIR 	= $(prefix)/man

CC		= @CC@
INSTALL		= @INSTALL@
INSTALL_BIN 	= @INSTALL_PROGRAM@
INSTALL_FILE 	= @INSTALL_DATA@
RANLIB		= @RANLIB@

# For BSD Unix use the following CFLAGS definition
CFLAGS = -O
#
# This Makefile does not work for MSDOS. Make your 
# own one, or compile by hand.
#
#CFLAGS = -s

all:	dvi2tty

dvi2tty:	dvi2tty.o dvistuff.o
	$(CC) -o dvi2tty dvi2tty.o dvistuff.o

disdvi:	disdvi.o
	$(CC) -o disdvi disdvi.o

dvi2tty.o: dvi2tty.c dvi2tty.h

dvistuff.o: dvistuff.c dvi2tty.h commands.h

disdvi.o: disdvi.c commands.h

clean:
	-rm *.o disdvi dvi2tty core

realclean:	clean
	-rm -f Makefile

install:	all
	$(INSTALL_BIN) dvi2tty $(INSTALL_LIBDIR)/gatherer
